import javax.swing.*;       //java swing  sinifini cagir
import java.awt.*;          // Java grafik s¨n¨f¨n¨ ‡a§¨r
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class tamsayitoplaSWA1 extends JApplet implements ActionListener
{
    //Layout container tan¨m¨
    //sinif degiskenleri
    JLabel kutubasligi; //Label sinifi degiskeni (nesnesi) kutubasligi
    JTextField kutugirdisi;//Textfield sinifi degiskeni (nesnesi) kutugirdisi
    JTextArea cikti;
    int sayi;
    int toplam; 
   
    // pencereyi baslatma metodu
    public tamsayitoplaSWA()
    {
    }

    public void init()
    {
    Container cerceve=getContentPane();
    cerceve.setLayout( new FlowLayout() );
    kutubasligi=new JLabel("Bir tamsayi giriniz : ");
    cerceve.add(kutubasligi);//kutubasligini pencereye yaz
    kutugirdisi=new JTextField(10);
    cerceve.add(kutugirdisi);//kutuyu pencereye yerlestir
    cikti=new JTextArea(6,30);
    cikti.setFont(new Font("Times New Roman",Font.PLAIN,14));
    cerceve.add(cikti);
    toplam=0;
    // kutuya yeni ilave edilecek komutlari bekle
    // her yeni komutta actionPerformed metodunu calistir.
    kutugirdisi.addActionListener(this);
    }
    
    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    //sayiyi pencereden oku
    Integer sayi1=new Integer(kutugirdisi.getText() );
    sayi=sayi1.intValue(); 
    // sayiyi okutma islemini asagidaki deyimle de yapabiliriz
    //  sayi=Integer.parseInt( e.getActionCommand() );
    toplam+=sayi;  // veya toplam=toplam+sayi;
    kutugirdisi.setText("");
    cikti.setText("Su ana kadarki sayilarin toplami : "+toplam);
    }

}
